org.eclipse.jetty.servlet

## Class ServletContextHandler.JspConfig

- java.lang.Object
- - org.eclipse.jetty.servlet.ServletContextHandler.JspConfig

All Implemented Interfaces:
  javax.servlet.descriptor.JspConfigDescriptor

Enclosing class:
  ServletContextHandler

    public static class ServletContextHandler.JspConfig
    extends Object
    implements javax.servlet.descriptor.JspConfigDescriptor

### Constructor Summary

Constructors
Constructor and Description
`ServletContextHandler.JspConfig()`

### Method Summary

Methods
`void` `addJspPropertyGroup(javax.servlet.descriptor.JspPropertyGroupDescriptor g)`
`void` `addTaglibDescriptor(javax.servlet.descriptor.TaglibDescriptor d)`
`Collection<javax.servlet.descriptor.JspPropertyGroupDescriptor>` `getJspPropertyGroups()`
`Collection<javax.servlet.descriptor.TaglibDescriptor>` `getTaglibs()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ServletContextHandler.JspConfig

    public ServletContextHandler.JspConfig()

### Method Detail

#### getTaglibs

    public Collection<javax.servlet.descriptor.TaglibDescriptor> getTaglibs()

Specified by:
  `getTaglibs` in interface `javax.servlet.descriptor.JspConfigDescriptor`
See Also:
  `JspConfigDescriptor.getTaglibs()`

#### addTaglibDescriptor

    public void addTaglibDescriptor(javax.servlet.descriptor.TaglibDescriptor d)

#### getJspPropertyGroups

    public Collection<javax.servlet.descriptor.JspPropertyGroupDescriptor> getJspPropertyGroups()

Specified by:
  `getJspPropertyGroups` in interface `javax.servlet.descriptor.JspConfigDescriptor`
See Also:
  `JspConfigDescriptor.getJspPropertyGroups()`

#### addJspPropertyGroup

    public void addJspPropertyGroup(javax.servlet.descriptor.JspPropertyGroupDescriptor g)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`